Centos7下编译安装wkhtmltopdf报错in QT: webkit xmlpatterns svg webkitwidgets

具体报错信息如下:
[root@labs wkhtmltopdf-0.12.6]# make
cd src/lib/ && ( test -e Makefile || /usr/bin/qmake -o Makefile /usr/local/src/wkhtmltopdf-0.12.6/src/lib/lib.pro PREFIX=/data/app/wkhtmltopdf ) && make -f Makefile
Project ERROR: Unknown module(s) in QT: webkit xmlpatterns svg webkitwidgets
请问如何解决?
已邀请:

空心菜 - 无分享不快乐 助力技术开源分享 运维一枚

赞同来自: Ansible

应该是缺少qt5编译安装的依赖开发包:
yum -y install qt5-qtsvg-devel qt5-qtxmlpatterns-devel qt5-qtwebkit-devel
可以尝试安装如上开发包解决。

要回复问题请先登录注册